<?php
/*
# ------------------------------------------------------------------------
# Extensions for Joomla 2.5.x - Joomla 3.x
# ------------------------------------------------------------------------
# Copyright (C) 2011-2014 Ext-Joom.com. All Rights Reserved.
# @license - PHP files are GNU/GPL V2.
# Author: Ext-Joom.com
# Websites:  http://www.ext-joom.com 
# Date modified: 08/04/2014 - 13:00
# ------------------------------------------------------------------------
*/

// no direct access
defined('_JEXEC') or die;
$ext_class_selector = 'horizontal';
if ($ext_mode == 'vertical') {
	$ext_class_selector = 'vertical';
} 
?>

<script type="text/javascript">
jQuery(document).ready(function(){
	jQuery('#bxslider_products_<?php echo $ext_id; ?>').bxSlider({
		mode: '<?php echo $ext_mode;?>',
		nextSelector: '#ext_slider_next_<?php echo $ext_id; ?>',
		prevSelector: '#ext_slider_prev_<?php echo $ext_id; ?>',
		randomStart: <?php echo $ext_random_start;?>,
		minSlides: <?php echo $ext_min_slides;?>,
		maxSlides: <?php echo $ext_max_slides;?>,
		moveSlides: <?php echo $ext_move_slides;?>,
		slideWidth: <?php echo $ext_slide_width;?>,
		slideMargin: <?php echo $ext_slide_margin;?>,
		adaptiveHeight: <?php echo $ext_adaptive_height;?>,
		adaptiveHeightSpeed: <?php echo $ext_adaptive_height_speed;?>,
		easing:	'<?php echo $ext_easing;?>',
		speed: <?php echo $ext_speed;?>,
		controls: <?php echo $ext_controls; ?>,
		auto: <?php echo $ext_auto;?>,
		autoControls: <?php echo $ext_auto_controls;?>,
		pause: <?php echo $ext_pause?>,
		autoDelay: <?php echo $ext_auto_delay; ?>,
		autoHover: <?php echo $ext_autohover; ?>,
		pager: <?php echo $ext_pager;?>,
		pagerType: '<?php echo $ext_pager_type;?>',
		pagerShortSeparator: '<?php echo $ext_pager_saparator;?>'
	});
});
</script>

<div class="mod_ext_bxslider_jshopping_products <?php echo $moduleclass_sfx ?>">	
	<div id="ext_slider_prev_<?php echo $ext_id; ?>" class="ext-prev-selector-<?php echo $ext_class_selector;?>"></div>
	<ul id="bxslider_products_<?php echo $ext_id; ?>">	
		<?php foreach($last_prod as $curr){ ?>	
				<li>
				   <div class="block_item">
						<div class="item_name">
						   <span><a href="<?php print $curr->product_link?>"><?php print $curr->name?></a></span>
						</div>
				   
					   <?php if ($show_image) { ?>
						<div class="item_image">
							
							<?php if ($curr->label_id AND $ext_label_prod > 0){?>
								<div class="product_label">
									<?php if ($curr->_label_image){?>
										<img src="<?php print $curr->_label_image?>" alt="<?php print htmlspecialchars($curr->_label_name)?>" />
									<?php }else{?>
										<span class="label_name"><?php print $curr->_label_name;?></span>
									<?php }?>
								</div>
							<?php }?>
							<span>
								<a href="<?php print $curr->product_link?>"><img src = "<?php print $jshopConfig->image_product_live_path?>/<?php if ($curr->product_thumb_image) print $curr->product_thumb_image; else print $noimage?>" alt="" /></a>
							</span>
						</div>
					   <?php } ?>
					   
					   <?php if ($curr->_display_price AND $ext_product_price > 0){?>
						<div class="item_price">
						   <?php print formatprice($curr->product_price);?>
						</div>
						<?php } ?>
					   
						<?php if ($ext_short_desc > 0 AND $curr->short_description) { ?>
						<div class="short_description">
							<?php print $curr->short_description?>
						</div>
						<?php } ?>
						
						<?php if ($ext_review_mark > 0) { ?>
						<div class="review_mark">
							<?php print showMarkStar($curr->average_rating);?>
						</div>
						<?php } ?>
						
						<?php if ($ext_count_commentar > 0) { ?>
						<div class="count_commentar">
							<?php print sprintf(_JSHOP_X_COMENTAR, $curr->reviews_count);?>
						</div>				
						<?php } ?>
						<?php if ($ext_item_detal > 0) { ?>
						<div class="item_detal">
						   <a href="<?php print $curr->product_link?>"><?php echo $ext_buttom_text; ?></a>
						</div>
						<?php } ?>
				   </div>
				</li>	
		<?php } ?>
	</ul>
	<div id="ext_slider_next_<?php echo $ext_id; ?>" class="ext-next-selector-<?php echo $ext_class_selector;?>"></div>
<div style="clear:both;"></div>
</div>